Bug 468221 - kbdd unsupported on recent (2000+) X installations
kbdd unsupported on recent (2000+) X installations
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity high
: 1.1
: ---
Assigned To: Will Benton
Kim van der Riet
:
Depends On:
Blocks: 470412
  Show dependency treegraph
 
Reported: 2008-10-23 12:28 EDT by Will Benton
Modified: 2009-02-04 11:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Benton 2008-10-23 12:28:42 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.2) Gecko/2008092318 Fedora/3.0.2-1.fc9 Firefox/3.0.2

The condor keyboard daemon detects X events and vacates jobs from a workstation when a console user returns.  In currently-released versions of condor, it does not work under Linux and is not built by default.

Reproducible: Always

Steps to Reproduce:
1.  Install condor.

Actual Results:  
condor_kbdd is not installed.

Expected Results:  
condor_kbdd should be installed and functional so that Grid installations can automatically vacate jobs from workstations with console users.
Comment 1 Will Benton 2008-10-23 12:30:38 EDT
I have committed a fix for this in the upstream Condor repository; the fix is in a commit whose SHA begins with 0b2c92f.
Comment 2 Will Benton 2008-11-06 20:42:46 EST
(I should note for the sake of completeness that my fix introduces a new Condor parameter -- X_CONSOLE_DISPLAY -- which contains the display name that the kbdd should monitor.  If this is not set, we default to ":0.0".)
Comment 4 Pete MacKinnon 2008-12-22 09:38:25 EST
Not sure I understand the gist of the bug but condor-kbdd is available with 7.2.0-0.13.el5. However, it still needs to be installed as its own package with a dependency on condor proper (i.e., you don't get kbdd with the main condor).

[pmackinn@localhost ~]$ yum deplist condor-kbdd | grep condor
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
RHN support will be disabled.
package: condor-kbdd.x86_64 7.2.0-0.13.el5
  dependency: condor = 7.2.0-0.13.el5
   provider: condor.x86_64 7.2.0-0.13.el5
Comment 5 Matthew Farrellee 2008-12-22 09:46:45 EST
It's on purpose that condor-kbdd not be pulled in everywhere condor is installed
Comment 7 errata-xmlrpc 2009-02-04 11:06:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.